function varargout=plotElementsNumber(q,me,varargin)
  [dim,d,nq,nme]=fc_graphics4mesh.getMeshDims(q,me);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('HorizontalAlignment','center');
  p.addParamValue('VerticalAlignment','middle');
  p.addParamValue('FontSize',5);
  p.addParamValue('Color','blue');
  p.addParamValue('clipping','on');
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin={varargin{:},'HorizontalAlignment',R.HorizontalAlignment, ...
                        'VerticalAlignment',R.VerticalAlignment, ...
                        'Color',fc_tools.graphics.xcolor.val2rgb(R.Color), ...
                        'clipping',R.clipping, 'FontSize',R.FontSize};
  
  Ba=fc_graphics4mesh.barycenters(q,me);
  strNum=num2str([1:nme]');
  switch dim
    case 2
      h=text(Ba(1,:),Ba(2,:),strNum,varargin{:});
    case 3
      h=text(Ba(1,:),Ba(2,:),Ba(3,:),strNum, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',dim);h=[];  
  end
  %leg=sprintf('Elmt num');
  if nargout==1, varargout{1}=h;end
  %if nargout==2, varargout{2}=leg;end % Use 'DisplayName' option ? not work
end
